gnome-contacts crashed with SIGSEGV in folks_persona_store_add_persona_from_details()

Bug #846908 reported by Felix Möller on 2011-09-11
176
This bug affects 34 people
Affects Status Importance Assigned to Milestone
GNOME Contacts
Fix Released
Critical
gnome-contacts (Ubuntu)
Medium
Unassigned

Bug Description

I just pressed the + button in gnome-contacts after adding the google online contact source.

I could not see any contacts at all even before the crash.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: gnome-contacts 0.1.4.1-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
ApportVersion: 1.22.1-0ubuntu2
Architecture: amd64
Date: Sun Sep 11 11:58:50 2011
ExecutablePath: /usr/bin/gnome-contacts
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
ProcCmdline: gnome-contacts
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=de_DE.UTF-8
SegvAnalysis:
 Segfault happened at: 0x7fbdee1a39a0 <folks_persona_store_add_persona_from_details>: mov (%rdi),%rax
 PC (0x7fbdee1a39a0) ok
 source "(%rdi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gnome-contacts
StacktraceTop:
 folks_persona_store_add_persona_from_details () from /usr/lib/libfolks.so.25
 ?? ()
 g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: gnome-contacts crashed with SIGSEGV in folks_persona_store_add_persona_from_details()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout disk lpadmin plugdev sambashare

Revision history for this message
Felix Möller (felix-derklecks) wrote :
Revision history for this message
Apport retracing service (apport) wrote :

StacktraceTop:
 folks_persona_store_add_persona_from_details (self=0x0, details=0x1faacc0, _callback_=0x4282e0 <___lambda55__gasync_ready_callback>, _user_data_=0x1fd2800) at persona-store.c:498
 contacts_contact_pane_new_contact (self=0x1fc2380, list_pane=<optimized out>) at contacts-contact-pane.c:9185
 g_closure_invoke (closure=0x1eff6d0, return_value=0x0, n_param_values=1, param_values=0x202f020, invocation_hint=<optimized out>) at /build/buildd/glib2.0-2.29.90/./gobject/gclosure.c:774
 signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x1dc72e0, emission_return=0x0, instance_and_params=0x202f020) at /build/buildd/glib2.0-2.29.90/./gobject/gsignal.c:3272
 g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fffa187db58) at /build/buildd/glib2.0-2.29.90/./gobject/gsignal.c:3003

Revision history for this message
Apport retracing service (apport) wrote : Stacktrace.txt
Revision history for this message
Apport retracing service (apport) wrote : ThreadStacktrace.txt
Changed in gnome-contacts (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
visibility: private → public
Changed in gnome-contacts (Ubuntu):
status: New → Confirmed
Revision history for this message
Aurélien RIVIERE (aurelien-riv) wrote :

Idem on gnome-contacts 0.1.5.2-0Ubuntu2.
Gnome-contacts crashes on clicking on the plus button, and if you trynna link contacts.

Revision history for this message
Aurélien RIVIERE (aurelien-riv) wrote :

Still present with 3.2.0.1-0ubuntu1 version (every packages up to date)

Revision history for this message
bag (gruening) wrote :

The EDS backend is missing as dependency. You need to install it manually, than it works.

Revision history for this message
Michael Gratton (mjog) wrote : Re: [Bug 846908] Re: gnome-contacts crashed with SIGSEGV in folks_persona_store_add_persona_from_details()

On 28/09/11 17:48, bag wrote:
> The EDS backend is missing as dependency. You need to install it
> manually, than it works.
>

Can you be more specific? I have evolution-data-server installed and
still experience this problem.

--
⊨ Michael Gratton.
⚙ <http://mjog.vee.net/>

Revision history for this message
Julien Olivier (julo) wrote :

Installing libfolks-eds25 fixes it for me.

Revision history for this message
Felix Möller (felix-derklecks) wrote :

I can confirm installing libfolks-eds25 makes it work! Thanks alot Julien!

Revision history for this message
GodNobody (godnobody) wrote :

Same here...installed libfolks-eds25 everything looks fine

Changed in gnome-contacts:
importance: Unknown → Critical
status: Unknown → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-contacts - 3.2.0.1-0ubuntu2

---------------
gnome-contacts (3.2.0.1-0ubuntu2) oneiric; urgency=low

  * Add missing depends on libfolks-eds25 (LP: #848843, LP: #846908)
 -- Jeremy Bicha <email address hidden> Mon, 26 Sep 2011 19:12:32 -0400

Changed in gnome-contacts (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Alin Andrei (nilarimogard) wrote :

I have libfolks-eds25 installed and this still occurs. I've submitted a new bug just in case it's a different one...

Changed in gnome-contacts:
status: New → Confirmed
Changed in gnome-contacts:
status: Confirmed → Incomplete
Changed in gnome-contacts:
status: Incomplete → Confirmed
Changed in gnome-contacts:
status: Confirmed → Incomplete
Changed in gnome-contacts:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.